KDE 4.2 PyKDE API Reference

- KDE's Python API

# KIcon Class Reference

`from PyKDE4.kdeui import *`

Inherits: QIcon

## Detailed Description

A wrapper around QIcon that provides KDE icon features

KIcon is a convenience class for creating a QIcon with an appropriate KIconEngine to perform loading and rendering. KIcons thus adhere to KDE style and effect standards.

\sa KIconEngine, KIconLoader, KIconTheme

Author:
  Hamish Rodda <rodda@kde.org>

## Methods

| __init__ (self, QString iconName, KIconLoader iconLoader, QStringList overlays)
| __init__ (self, QString iconName, KIconLoader iconLoader)
| __init__ (self, QString iconName)
| __init__ (self, QIcon copy)
| __init__ (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | iconName,
|  | KIconLoader | iconLoader,
|  | QStringList | overlays
| ) |  |  |

Constructor which takes a kde style icon name, and optionally a custom icon loader.

Parameters:

  | iconName | The name of the kde icon to load

Parameters:

  | iconLoader | The icon loader to use in loading this icon, or null to use the default global icon loader.
  | overlays | A list of overlays to apply to this icon. They are loaded from the emblems icons and up to four (one per corner) is currently supported

__init__ | ( | self, |
|  | QString | iconName,
|  | KIconLoader | iconLoader
| ) |  |  |

__init__ | ( | self, |
|  | QString | iconName
| ) |  |  |

__init__ | ( | self, |
|  | QIcon | copy
| ) |  |  |

Copy constructor which takes any QIcon.

Parameters:

  | copy | the icon to copy. This should have once been a KIcon, if you want to preserve KDE icon effects.

__init__ | ( |  | self ) |

Constructor for a null icon.